> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/api/brc-20/brc-20-by-address/void-inscriptions-spent-brc-20-transfers.md).

# Void inscriptions (spent BRC-20 transfers)

This endpoint can be used to retrieve the void BRC-20 inscriptions (spent BRC-20 transfer inscriptions) of an address.

## GET /v1/ordinals/address/{address}/void-protocol-inscriptions/collection/{collectionId}

> Get BRC20 & TAP void inscriptions(already spent/used) owned by an address\
> &#x20;          in a specific collection. A void inscription is a BRC-20 or TAP inscription that is no longer protocol\
> &#x20;           valid (transfer inscriptions become invalid after first transfer, other inscriptions like\
> &#x20;           mint become invalid right after inscribe).

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Ordinals"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/ordinals/address/{address}/void-protocol-inscriptions/collection/{collectionId}":{"get":{"tags":["Ordinals"],"description":"Get BRC20 & TAP void inscriptions(already spent/used) owned by an address\n           in a specific collection. A void inscription is a BRC-20 or TAP inscription that is no longer protocol\n            valid (transfer inscriptions become invalid after first transfer, other inscriptions like\n            mint become invalid right after inscribe).","parameters":[{"schema":{"default":0,"minimum":0,"type":"number"},"in":"query","name":"offset","required":false},{"schema":{"default":25,"minimum":25,"maximum":25,"type":"number"},"in":"query","name":"limit","required":false},{"schema":{"minLength":10,"default":"bc1q0egjvlcfq77cxd9kvpgppyuxckzvws46e3sxch","format":"BitcoinAddress","type":"string"},"in":"path","name":"address","required":true},{"schema":{"type":"string"},"in":"path","name":"collectionId","required":true}],"responses":{"200":{"description":"Inscriptions for a specific collection owned by an address","content":{"application/json":{"schema":{"description":"Inscriptions for a specific collection owned by an address","type":"object","properties":{"collectionId":{"type":"string"},"collectionName":{"type":"string"},"total":{"type":"number"},"offset":{"type":"number"},"limit":{"type":"number"},"inscriptions":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"number":{"type":"number"},"sat":{"type":"number"},"contentType":{"type":"string"},"blockHeight":{"type":"number"},"charms":{"type":"array","items":{"type":"string"}},"currentLocation":{"type":"string"}},"required":["id","number","blockHeight","charms"]}}},"required":["collectionId","collectionName","total","offset","limit","inscriptions"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xverse.app/api/brc-20/brc-20-by-address/void-inscriptions-spent-brc-20-transfers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
